Bug 979201 - Fresh install in INT and permission denied on user_action.log
Fresh install in INT and permission denied on user_action.log
Status: CLOSED NEXTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Kubernetes (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Abhishek Gupta
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-27 18:40 EDT by Adam Miller
Modified: 2015-05-14 20:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-09 09:56:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Miller 2013-06-27 18:40:39 EDT
Description of problem:
Fresh install of OpenShift Online in INT after a full refresh of the infrastructure environment and the error below occurs:

*** Exception Errno::EACCES in Class (Permission denied - /var/log/openshift/user_action.log) (process 11104, thread #<Thread:0x00000002512118>):
        from /opt/rh/ruby193/root/usr/share/ruby/open-uri.rb:35:in `initialize'
        from /opt/rh/ruby193/root/usr/share/ruby/open-uri.rb:35:in `open'
        from /opt/rh/ruby193/root/usr/share/ruby/open-uri.rb:35:in `open'
        from /opt/rh/ruby193/root/usr/share/ruby/logger.rb:592:in `open_logfile'
        from /opt/rh/ruby193/root/usr/share/ruby/logger.rb:549:in `initialize'
        from /opt/rh/ruby193/root/usr/share/ruby/logger.rb:314:in `new'
        from /opt/rh/ruby193/root/usr/share/ruby/logger.rb:314:in `initialize'
        from /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/core_ext/logger.rb:72:in `initialize'
        from /opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-controller-1.9.17/config/initializers/user_action_log.rb:3:in `new'
        from /opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-controller-1.9.17/config/initializers/user_action_log.rb:3:in `<top (required)>'
        from /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/dependencies.rb:245:in `load'
        from /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/dependencies.rb:245:in `block in load'
        from /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/dependencies.rb:236:in `load_dependency'
        from /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/dependencies.rb:245:in `load'
        from /opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/engine.rb:588:in `block (2 levels) in <class:Engine>'
        from /opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/engine.rb:587:in `each'
        from /opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/engine.rb:587:in `block in <class:Engine>'
        from /opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/initializable.rb:30:in `instance_exec'
        from /opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/initializable.rb:30:in `run'
        from /opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/initializable.rb:55:in `block in run_initializers'
        from /opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/initializable.rb:54:in `each'
        from /opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/initializable.rb:54:in `run_initializers'
        from /opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/application.rb:136:in `initialize!'
        from /opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/railtie/configurable.rb:30:in `method_missing'
        from /var/www/openshift/broker/config/environment.rb:14:in `<top (required)>'
        from config.ru:3:in `require'
        from config.ru:3:in `block in <main>'
        from /opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/builder.rb:51:in `instance_eval'
        from /opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/builder.rb:51:in `initialize'
        from config.ru:1:in `new'
        from config.ru:1:in `<main>'
        from /opt/rh/ruby193/root/usr/share/gems/gems/passenger-3.0.17/lib/phusion_passenger/rack/application_spawner.rb:225:in `eval'
        from /opt/rh/ruby193/root/usr/share/gems/gems/passenger-3.0.17/lib/phusion_passenger/rack/application_spawner.rb:225:in `load_rack_app'
        from /opt/rh/ruby193/root/usr/share/gems/gems/passenger-3.0.17/lib/phusion_passenger/rack/application_spawner.rb:75:in `block (2 levels) in spawn_application'
        from /opt/rh/ruby193/root/usr/share/gems/gems/passenger-3.0.17/lib/phusion_passenger/utils.rb:563:in `report_app_init_status'
        from /opt/rh/ruby193/root/usr/share/gems/gems/passenger-3.0.17/lib/phusion_passenger/rack/application_spawner.rb:73:in `block in spawn_application'
        from /opt/rh/ruby193/root/usr/share/gems/gems/passenger-3.0.17/lib/phusion_passenger/utils.rb:470:in `safe_fork'
        from /opt/rh/ruby193/root/usr/share/gems/gems/passenger-3.0.17/lib/phusion_passenger/rack/application_spawner.rb:64:in `spawn_application'
        from /opt/rh/ruby193/root/usr/share/gems/gems/passenger-3.0.17/lib/phusion_passenger/spawn_manager.rb:264:in `spawn_rack_application'
        from /opt/rh/ruby193/root/usr/share/gems/gems/passenger-3.0.17/lib/phusion_passenger/spawn_manager.rb:137:in `spawn_application'
        from /opt/rh/ruby193/root/usr/share/gems/gems/passenger-3.0.17/lib/phusion_passenger/spawn_manager.rb:275:in `handle_spawn_application'
        from /opt/rh/ruby193/root/usr/share/gems/gems/passenger-3.0.17/lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'
        from /opt/rh/ruby193/root/usr/share/gems/gems/passenger-3.0.17/lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'
        from /opt/rh/ruby193/root/usr/share/gems/gems/passenger-3.0.17/helper-scripts/passenger-spawn-server:102:in `<main>'
Comment 1 Abhishek Gupta 2013-07-08 15:29:15 EDT
This was a configuration listed in the release ticket for 2.0.24 but was missed. I have added the configuration again to the release ticket for 2.0.30. This should be fixed after the change.
Comment 2 Jianwei Hou 2013-07-08 22:05:28 EDT
According to Release Ticket 2.0.30, the user_action.log need to be moved to a new location, and therefore the problem should be gone. @adam, can you please kindly help verify the bug if it's not reproduced on INT again? Thanks!
Comment 3 Adam Miller 2013-07-09 09:56:48 EDT
This is currently fixed in INT, with the new change in the release 2.0.30 this should no longer be an issue. Closing.

Note You need to log in before you can comment on or make changes to this bug.